apemanpasswd
==========

<!---
This file is generated by ape-tmpl. Do not update manually.
--->

<!-- Badge Start -->
<a name="badges"></a>

[![Build Status][bd_travis_shield_url]][bd_travis_url]
[![Code Climate][bd_codeclimate_shield_url]][bd_codeclimate_url]
[![Code Coverage][bd_codeclimate_coverage_shield_url]][bd_codeclimate_url]
[![npm Version][bd_npm_shield_url]][bd_npm_url]

[bd_repo_url]: https://github.com/apeman-labo/apemanpasswd
[bd_travis_url]: http://travis-ci.org/apeman-labo/apemanpasswd
[bd_travis_shield_url]: http://img.shields.io/travis/apeman-labo/apemanpasswd.svg?style=flat
[bd_license_url]: https://github.com/apeman-labo/apemanpasswd/blob/master/LICENSE
[bd_codeclimate_url]: http://codeclimate.com/github/apeman-labo/apemanpasswd
[bd_codeclimate_shield_url]: http://img.shields.io/codeclimate/github/apeman-labo/apemanpasswd.svg?style=flat
[bd_codeclimate_coverage_shield_url]: http://img.shields.io/codeclimate/coverage/github/apeman-labo/apemanpasswd.svg?style=flat
[bd_gemnasium_url]: https://gemnasium.com/apeman-labo/apemanpasswd
[bd_gemnasium_shield_url]: https://gemnasium.com/apeman-labo/apemanpasswd.svg
[bd_npm_url]: http://www.npmjs.org/package/apemanpasswd
[bd_npm_shield_url]: http://img.shields.io/npm/v/apemanpasswd.svg?style=flat
[bd_bower_badge_url]: https://img.shields.io/bower/v/apemanpasswd.svg?style=flat

<!-- Badge End -->


<!-- Description Start -->
<a name="description"></a>

Password manager for apeman.

<!-- Description End -->


<!-- Overview Start -->
<a name="overview"></a>



<!-- Overview End -->


<!-- Sections Start -->
<a name="sections"></a>

<!-- Section from "doc/readme/01.Installation.md.hbs" Start -->

<a name="section-doc-readme-01-installation-md"></a>
Installation
-----

```bash
$ npm install apemanpasswd --save
```


<!-- Section from "doc/readme/01.Installation.md.hbs" End -->

<!-- Section from "doc/readme/02.Usage.md.hbs" Start -->

<a name="section-doc-readme-02-usage-md"></a>
Usage
---------

### Generate a New Salt

```Javascript
"use strict";

const apemanpasswd = require('apemanpasswd');

let salt = apemanpasswd.newSalt(24);

console.log(salt); //-> b8c0faa8df6e43fe9fa2f4a1

```

### Digest Text

```Javascript
"use strict";

const apemanpasswd = require('apemanpasswd');

let password = 'm*y*p*a*s*s*w*o*r*d',
    salt = '1234asdf';
apemanpasswd.digest(password, salt, (err, hash) => {
    /*...*/
});
```

### Advanced Usage

```Javascript
"use strict";

// Define a new apemanpasswd context.
const apemanpasswd = require('apemanpasswd').create({
    algorithm:'pdkdf2', // algorithm for digest.
    iterations: 120, // Iteration count
    length: 84, // Digest key length
    format: 'hex'
});

apemanpasswd.digest('my_password', 'my_salt', (err, hash) => {
    /*...*/
});
```



<!-- Section from "doc/readme/02.Usage.md.hbs" End -->


<!-- Sections Start -->


<!-- LICENSE Start -->
<a name="license"></a>

License
-------
This software is released under the [MIT License](https://github.com/apeman-labo/apemanpasswd/blob/master/LICENSE).

<!-- LICENSE End -->


<!-- Links Start -->
<a name="links"></a>

Links
------

+ [apeman](https://github.com/apeman-labo/apeman)

<!-- Links End -->
