/**
 * Create a pon password context from spec string.
 * @memberof module:apemanpasswd/lib
 * @function fromSpecString
 * @param {string} spec - Spec string.
 * @returns {PonPassword} - An apeman password instance.
 */

"use strict";

const create = require('./create');

/** @lends fromSpecString */
function fromSpecString(spec) {
    let values = String(spec).split(/:/g);
    return create({
        algorithm: values[0],
        iterations: Number(values[1] || 100),
        length: Number(values[2] || 84)
    });
}

module.exports = fromSpecString;
