/**
 * Test case for passwd.
 * Runs with nodeunit.
 */
"use strict";

const Apemanpasswd = require('../lib/apemanpasswd.js'),
    assert = require('assert');

describe('apemanpasswd', ()=> {

    it('Apeman password', (done) => {
        let passwd = new Apemanpasswd();
        assert.ok(passwd.newSalt());
        assert.ok(passwd.digestSync('foo', 'bar'));
        passwd.digest('foo', 'bar', (err, digest) => {
            assert.ifError(err);
            assert.ok(digest);
            done();
        });
    });

    it('Apeman password', (done) => {
        let passwd = new Apemanpasswd({
            algorithm: 'pdkdf2',
            iterations: 100,
            length: 84
        });
        let spec = passwd.toSpecString();
        assert.equal(spec, 'pdkdf2:100:84');
        done();
    });

});
