/**
 * Test case for pdkdf2Digest.
 * Runs with nodeunit.
 */
"use strict";

const async = require('async'),
    assert = require('assert'),
    pdkdf2Digest = require('../lib/digesting/pdkdf2_digest.js');

describe('pdkdf2', ()=> {
    it('Pdkdf2 digest', (done) => {
        var text = 'foo',
            salt = 'bar';
        async.series([
            (callback) => {
                pdkdf2Digest(text, salt, callback);
            },
            (callback) => {
                pdkdf2Digest(text, salt, callback);
            },
            (callback) => {
                var digest = pdkdf2Digest.sync(text, salt);
                callback(null, digest);
            }
        ], (err, results) => {
            assert.ifError(err);
            assert.equal(results[0], results[1]);
            assert.equal(results[0], results[2]);
            done();
        });
    });
});

